## oolite 1.65

=== tools/ScriptCompiler/Makefile ===
JFLAGS=--main=dt.oolite.scriptcompiler.ScriptCompiler
GCJ=gcj
SRCPATH=src/dt/oolite/scriptcompiler

ScriptCompiler: $(SRCPATH)/ScriptCompiler.java
	$(GCJ) $(JFLAGS) $(SRCPATH)/$@.java -o $@
