=== debian/changelog ===
oolite (1.65-7) unstable; urgency=low

  [ Eddy Petrișor ]
  * properly install the lintian override
  * override the emty-dir lintian warning since we actually need and
    empty dir

  [ Nicolas Boulenguez ]
  * Switch to dpkg-source 3.0 (quilt) format
  * rules: used debhelper overrides
  * moved non patch files from debian/patches to debian
  * renamed debhelper files (foo->oolite.foo) to comply to recent
    guidelines and prepare sharing source with oolite-data
  * removed dirs debhelper files, no more needed
  * control: added Homepage, Standards-Version 3.9.0, added myself to uploaders
  * copyright: added explicit copyright dates, broken very long lines.
  * doc-base: registered reference sheet
  * Closes: 578310 by recompilating with current headers

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 08 Jul 2010 16:16:52 +0200

oolite (1.65-6) unstable; urgency=low

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Eddy Petrișor ]
  * changes (closes: #449101, #447465) according to
    http://lists.alioth.debian.org/pipermail/pkg-games-devel/2007-July/004000.html
    - use gs_make instead of sourcing
      /usr/lib/GNUstep/System/Makefiles/GNUstep.sh and running $(MAKE)
    - bumped versioned build depends on libgnustep-base-dev to (>= 1.14.0)
    - added a Build-Depends on quilt since we needed a patch to obtain this
  * install the .desktop file; patch thanks to Mario Bonino from Ubuntu

  [ Gerfried Fuchs ]
  * Removed leading The from the synopsis.

  [ Eddy Petrișor ]
  * bump debhelper compatibiliy to 5; updated builddep on debhelper
    accordingly
  * removed no longer needed XS-Autobuild

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

 -- Jon Dowland <jon@alcopop.org>  Mon, 03 Dec 2007 17:46:28 +0000

oolite (1.65-5) unstable; urgency=low

  * remove debian/svn-deblayout from the source since it holds 0 value for the
    actual source package
  * the game was relicensed by upstream with the dual license model (GNU GPL
    and CC-NC-SA) - this was acknowledged to be done also retroactively for
    the current stable release of the game. Here is a quote from upstream's
    announce on its forum:
    The current official release, 1.65, may be considered to be dual-licensed;
    that is, it may be distributed under its current license (the Creative
    Commons Attribution-NonCommercial-ShareAlike 2.0 license, herafter known
    as CC-by-nc-sa-2) or the GPL.
  * change section from non-free/games to games as a consequence of the former
  * remove the justification from copyright for autobuilding this package since
    will be autobuild in main from now on
  * update TODO to remember to update the copyright info when the new release
    will be done

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed,  7 Mar 2007 01:06:03 +0200

oolite (1.65-4) unstable; urgency=low

  * changed XS-X-VCS-SVN into XS-VCS-SVN after the discussion on debian devel
  * also ship the TXT.rtf file which is actually a replacement for PLAYING.txt
  * added two more files with pointers to online documentation about the game:
    advanced_instructions.readme and first_flight.readme
  * remove "Application" from the categories list in the desktop file since is
    not a valid category
  * added the "XS-Autobuild: yes" line in the control file and added reasons
    in the copyright file (after Andi white-listed the package)
    Done as requested in:
    http://lists.debian.org/debian-devel-announce/2006/11/msg00012.html
  * install the Oolite reference sheet which was hidden in
    installers/win32/OoliteRS.pdf
  * fix the mail format in README.Debian
  * no longer install README_LINUX.TXT since is useless to Debian users
  * added a PLAYING.TXT with pointers about the contents of the installed
    documentation

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Fri, 22 Dec 2006 17:26:39 +0200

oolite (1.65-3) unstable; urgency=low

  * build depend on non-versioned libgnustep-base-dev instead of the
    versioned variant because of the GNUstep transition (Closes: #389855)
  * added the xs-x-vcs-svn header to the control file
  * changed the locale language code for Romanian in the desktop file from ro
    to ro_RO since the short form is the last to be tested (marginal speed
    optimisation)
  * updated package TODO file (nothing to do :-)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 27 Sep 2006 21:11:23 +0300

oolite (1.65-2) unstable; urgency=low

  * added versioned dependency on oolite-data, since it crashes with older
    data sets

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 26 Jul 2006 11:50:59 +0300

oolite (1.65-1) unstable; urgency=low

  * new upstream release (closes: #378875)
  * changed the watch file as upstream has changed the naming convention
  * removed dependency on sdl-gfx and gnustep-gui since upstream managed to
    remove them.
  * it is no longer needed to have Info-Oolite.plist in the debian part of the
    package, it is now in the source tarball
  * go all the way using debhelper and install the lintian override using it
  * some files changed their location in the upstream source, synced the package

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Wed, 26 Jul 2006 10:47:52 +0300

oolite (1.62-5-3) unstable; urgency=low

  * Make the Homepage: "field" match the regexp from Debian Develper's
    Reference, best packaging practices, chapter "6.2.4 Upstream home page"

 -- Eddy Petrişor <eddy.petrisor@gmail.com>  Mon, 29 May 2006 02:07:10 +0300

oolite (1.62-5-2) unstable; urgency=low

  * Added a .desktop file
  * "The fix was already there" fix: typo in debian/control is now visible;
    wrong build was uploaded
  * removed commented call to dh_makeshlibs in debian/rules
  * bump standards version (nothing to do) - 3.7.2
  * fix watch file

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sun, 16 Apr 2006 19:41:25 +0300

oolite (1.62-5-1) unstable; urgency=low

  * Initial release Closes: #361704


