=== debian/control ===
Source: oolite
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>, Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Build-Depends: debhelper (>= 7.0.50~), libgnustep-base-dev (>= 1.14.0) , libsdl-mixer1.2-dev, libsdl-image1.2-dev, libglu1-mesa-dev
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/oolite/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/oolite/?op=log
Homepage: http://www.oolite.org

Package: oolite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, oolite-data (>= 1.65-1)
Description: space-sim game Oolite ported to GNUStep/OpenGL linux
 The purpose of the game is to fly from planet to planet,
 buying and selling goods, shooting pirates or committing acts
 of piracy.
 .
 There's no goal other than perhaps to achieve the rank of ELITE.
