=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += -Wall

build clean binary-indep binary-arch binary install:
	dh $@

override_dh_auto_build:
	mkdir Resources Contents
	gs_make

override_dh_auto_clean:
	gs_make distclean clean
	rm -fr oolite.app
	rm -rf Resources Contents
