## oolite 1.75.3

=== debian/changelog ===
oolite (1.75.3-1ubuntu1) oneiric; urgency=low

  * Allow building with libmozjs185-dev.
  * Switch back to gobjc-4.6, which is compatible with the current GNUstep
    runtime in Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Aug 2011 21:26:39 +0100

oolite (1.75.3-1) unstable; urgency=low

  * New upstream release.
  * gbp.conf, source/local-options: clarified git-buildpackage configuration.
  * compat, control: switched to debhelper 8.
  * patches/libmojs5_not_4.diff: upstream uses mozjs v4, debian v5.
  * control: made dh targets more generic.
  * Upload to unstable with libmozjs>=4 (Closes: #614277).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 16 Jul 2011 14:57:16 +0200

oolite (1.75.2-2) experimental; urgency=low

  * Recompiled with gobjc-4.5, compatible with the current gnustep runtime,
    allthough gobjc-4.6 is now the default compiler in unstable.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sun, 15 May 2011 23:17:45 +0200

oolite (1.75.2-1) experimental; urgency=low

  * New upstream beta release.
  * control: Standards-Version 3.9.2 (no changes)
  * patches: src/Core/OOCPUInfo.h to consult sys/param.h instead of an
    explicit list of architectures to configure endianness. Should help #614277.
  * Updated manpage from upstream debian/ subdir.
  * Removed libespeak support because of #591717.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Tue, 10 May 2011 01:04:17 +0200

oolite (1.75.1-20110315-1) experimental; urgency=low

  * New upstream release. Huge diff because of CRLF elimination.
  * Use system libmozjs-dev instead of embedded one which caused some FTBS.
    (control:Build-Depends, copyright, mozjs.LICENSE, mozjs.LEGAL, rules)
  * Break circular dependency between binary packages (Closes: #616001)
    (control:Depends, rules).
  * Now builds with gcc-4.5 (Closes: #565101).
  * Allowed date component in upstream version number (watch).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 25 Mar 2011 21:59:04 +0100

oolite (1.75-1) unstable; urgency=low

  * New upstream release.
  * DFSG compliant tarball and twice smaller. It embeds the source of
    mozilla javascript library (aka spidermonkey). Oolite needs the version
    shipped with iceweasel 4.0, not yet in libmozjs-dev debian package.
    Upstream downloads it at compile-time, wich is worst.
  * Renamed README->README.Debian so that it is embedded.
  * README.source documenting use of git-buildpackage for debian packaging.
  * control: four binary packages: oolite, -doc, -data and -data-sounds.
    (Uploaders, Maintainers) Removed Eddy and Debian Games Team.
    (Breaks, Replaces) to handle the split of -data (Closes: #614185).
    (Vcs-*) point to alioth git repository instead of old svn.
    (Build-Depends) libnspr4-dev, zip, python for embedded mozjs.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 26 Feb 2011 01:18:27 +0100

oolite (1.74.2-1) unstable; urgency=low

  * New upstream release (closes: #506809).
  * Merged oolite and oolite-data old packaging to share same source.
  * control(Build-Depends): oolite needs its own version of libmozjs.
  * copyright: upstream is now released under the GPL.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 05 Aug 2010 00:49:00 +0200
