=== debian/rules ===
#!/usr/bin/make -f
#
# Ubuntu/Debian build rules file for OOlite
# Copyright (c) 2007 Chris Crowther <hikari@hikari.org.uk>
#
# Originally based on the exemplar hello project.
# Re-written by Darren Salt
# Tweaked by Michael Werle
# Copyright 2010 Adapted to distribution by Debian by Nicolas Boulenguez.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

GSMAKE = gs_make

GSMAKE += use_deps=no
GSMAKE += ESPEAK=no
GSMAKE += OO_JAVASCRIPT_TRACE=no
GSMAKE += profile=no
GSMAKE += debug=no
GSMAKE += NO_SHADERS=no
GSMAKE += DEPLOYMENT_RELEASE_CONFIGURATION=yes
# DEPLOYMENT_RELEASE_CONFIGURATION=yes implies:
#   BUILD_WITH_DEBUG_FUNCTIONALITY=no
#   OO_CHECK_GL_HEAVY=no
#   OO_EXCLUDE_DEBUG_SUPPORT=yes
#   OO_OXP_VERIFIER_ENABLED=no
#   OO_LOCALIZATION_TOOLS=no
#   DEBUG_GRAPHVIZ=no
GSMAKE += SNAPSHOT_BUILD=no

GSMAKE += LIBJS_INC_DIR=/usr/include/js
GSMAKE += LIBJS_LIB_DIR=/usr/lib
GSMAKE += LIBJS=mozjs185

export CFLAGS += -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += --jobs=$(NUMJOBS)
endif

override_dh_auto_build: $(LIBJS_DIR)
	$(GSMAKE)

override_dh_auto_clean:
	$(GSMAKE) distclean clean
	rm -rf oolite.app

override_dh_installchangelogs:
	dh_installchangelogs --all Doc/CHANGELOG.TXT
