## oolite 1.76

=== debian/changelog ===
oolite (1.76-1) unstable; urgency=low

  * New upstream.
  * watch: scan upstream stable releases instead of dev snapshots.
  * control: use default gobjc instead of explicit 4.6.
  * rules: use dpkg-dev build flags.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 22 Dec 2011 00:22:39 +0100

oolite (1.75.3-4) unstable; urgency=low

  * control (Build-Depends): not g++ (was needed for libmozjs)
    dpkg (>= 1.16.1) to set build flags
    gobjc-4.6 to get an explicit FTBFS on next gnustep-dev upgrade
  * copyright: (cosmetic) versioned DEP-3 format.
  * patches/debian_version_of_libmozjs.path: work-around two backward
    incompatibilities introduced by libmozjs-dev (Closes: #643972)

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 06 Oct 2011 13:31:41 +0200

oolite (1.75.3-3) unstable; urgency=low

  * rules: compiles with gobjc-4.6, as current gnustep runtime.
  * patches: respect DEP-3
  * copyright: respects DEP-5

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Mon, 19 Sep 2011 18:42:30 +0200

oolite (1.75.3-2) unstable; urgency=low

  * patches: use debian mozjs v6 (Closes: #639075).
  * gbp.conf: handle new git-buildpackage option for dfsg tarballs.
  * rules: --as-needed linker option to remove dpkg-shlibdeps warning.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 25 Aug 2011 20:39:06 +0200
