=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: oolite
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
+Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8),
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 8),
 	libsdl1.2-dev, libsdl-mixer1.2-dev,
 	libgnustep-base-dev, gnustep-core-devel,
-	libnspr4-dev, libmozjs185-dev | libmozjs-dev (>= 2.0~),
-	libpng-dev, mesa-common-dev
+	libnspr4-dev, libmozjs-dev (>= 2.0~),
+	libpng-dev, mesa-common-dev,
+        gobjc
 Homepage: http://www.oolite.org
 Vcs-Git: git://git.debian.org/pkg-games/oolite.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/oolite.git
