=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	dh $@
 
 GSMAKE = gs_make
-
 GSMAKE += use_deps=no
 GSMAKE += ESPEAK=no
 GSMAKE += OO_JAVASCRIPT_TRACE=no
@@ -32,24 +31,24 @@
 #   DEBUG_GRAPHVIZ=no
 GSMAKE += SNAPSHOT_BUILD=no
 
-GSMAKE += LIBJS_INC_DIR=/usr/include/js
+# Use Debian system-wide mozilla library
+GSMAKE += LIBJS_INC_DIR=/usr/include/mozjs
 GSMAKE += LIBJS_LIB_DIR=/usr/lib
-GSMAKE += LIBJS=mozjs185
+GSMAKE += LIBJS=mozjs
 
-export CFLAGS += -Wall -g
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O0
-else
-  CFLAGS += -O2
-endif
+# Use Debian default build options.
+include /usr/share/dpkg/buildflags.mk
+# Link only against needed symbols.
+LDFLAGS += -Wl,--as-needed
+GSMAKE += CFLAGS="$(CFLAGS)"
+GSMAKE += LDFLAGS="$(LDFLAGS)"
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += --jobs=$(NUMJOBS)
 endif
 
-override_dh_auto_build: $(LIBJS_DIR)
+override_dh_auto_build:
 	$(GSMAKE)
 
 override_dh_auto_clean:
