## oolite 1.76.1

=== debian/changelog ===
oolite (1.76.1-2) unstable; urgency=low

  * control (Build-Depend), rules, patches/debian_version_of_libmozjs.diff:
    use quite stable libmozjs185-dev instead of libmozjs-dev, that tracks
    firefox's latest API.
  * rules: clarified which settings may be modified in a Debian build.
    CPPFLAGS, CFLAGS, noopt, nostrip -> GNUSTEP.
    parallel=n -> Make.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Mon, 25 Jun 2012 19:55:39 +0200

oolite (1.76.1-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Tue, 29 May 2012 21:16:33 +0200

oolite (1.76dfsg-1) unstable; urgency=low

  * Fake upstream release to correct 1.76.orig.tgz content. It did contain
    the full upstream branch instead of the dfsg_clean branch.
    Adapted watch file with dversionmangle.
  * patches/debian_version_of_libmozjs: refreshed.
  * patches/timer_allocation_bug: backported from upstream VCS, should
    close #665839.
  * Debhelper 9, Standards-Version 3.9.3 (no changes).
  * rules: use all available processors if DEB_BUILD_OPTIONS does not
    specify parallel=n.
  * README.Debian: remove obsolete part.
  * README.source: updated, dpkg-source removes patches automatically.
  * copyright: stand-alone detailed paragraph, updated copyrights.
  * rules: updated copyrights

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 12 May 2012 21:52:34 +0200
