=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 8),
+Standards-Version: 3.9.3
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 	libsdl1.2-dev, libsdl-mixer1.2-dev,
 	libgnustep-base-dev, gnustep-core-devel,
-	libnspr4-dev, libmozjs-dev (>= 2.0~),
-	libpng-dev, mesa-common-dev,
-        gobjc
+	libnspr4-dev, libmozjs185-dev,
+	libpng-dev, mesa-common-dev, gobjc, libffi-dev
+# Work-around: Oolite does not Build-Depend on libffi-dev, but
+# libmozjs185-dev does (reported as #).
 Homepage: http://www.oolite.org
 Vcs-Git: git://git.debian.org/pkg-games/oolite.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/oolite.git
