=== debian/changelog ===
oolite (1.77.1-3) unstable; urgency=medium

  * Avoid patches/gnustep_app_builder.diff. Closes: #732377.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 18 Dec 2013 19:35:21 +0100

oolite (1.77.1-2) unstable; urgency=low

  * The symlink in oolite described below replaces a directory in
    oolite-data<<1.76.1-3, Break+Replace accordingly. Closes: #729219.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Nov 2013 12:51:22 +0100

oolite (1.77.1-1) unstable; urgency=low

  * New upstream snapshot. One patch refreshed.
  * rules, Build-Depends-Indep: generate some PDF from odt sources.
  * copyright, dfsg_cleaner: reduce differences between upstream and DFSG
    tarballs. Document the newly embedded licenses.
  * patches/generate_planet_data: generate 14Mo at build time.
  * Standards-Version: 3.9.5 (no changes).
  * oolite.preinst: symlink mentioned in 1.76.1-3 stanza may replace an
    existing directory, even if dpkg refuses to do so. Closes: #728790.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 06 Nov 2013 00:54:49 +0100

oolite (1.76.1-3) unstable; urgency=low

  * Updated patches/debian_version_of_libmozjs.
    New patches/add_keywords_to_desktop_file, gnustep_app_builder.diff.
  * control (Build-Depends): removed work-around for #678859.
  * README.Debian, source/options, DM-Upload-Allowed: removed.
  * README.source, Vcs-*: canonical URL for git repository.
  * *.install, .links: replace arch-indep data in usr/lib with a symlink.
  * doc-base support for OoliteReadMe.pdf.
  * Standards-Version: 3.9.4. Split build-[arch|indep] targets.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 12 Aug 2013 21:21:14 +0200
