=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: oolite
 Section: games
 Priority: optional
-Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Standards-Version: 3.9.5
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 	libsdl1.2-dev, libsdl-mixer1.2-dev,
 	libgnustep-base-dev, gnustep-core-devel,
 	libnspr4-dev, libmozjs185-dev,
-	libpng-dev, mesa-common-dev, gobjc, libffi-dev
-# Work-around: Oolite does not Build-Depend on libffi-dev, but
-# libmozjs185-dev does (reported as #).
+	libpng-dev, mesa-common-dev, gobjc,
+        pkg-config
+Build-Depends-Indep: libreoffice-writer, fonts-liberation, fonts-dejavu,
+ fonts-opensymbol
 Homepage: http://www.oolite.org
-Vcs-Git: git://git.debian.org/pkg-games/oolite.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/oolite.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/oolite.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/oolite.git
 
 Package: oolite
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, oolite-data (= ${source:Version})
-Replaces: oolite-data (<< 1.74.2-2)
-Breaks: oolite-data (<< 1.74.2-2)
+Replaces: oolite-data (<< 1.76.1-3)
+Breaks: oolite-data (<< 1.76.1-3)
 Recommends: oolite-doc (= ${source:Version}),
             oolite-data-sounds (= ${source:Version})
 Description: space sim game, inspired by Elite
